<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleMapsServerAPI",
  "identifier" : "/documentation/AppleMapsServerAPI/-v1-search",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Maps Server API"
    ],
    "preciseIdentifier" : "rest:maps_web_api:get:v1-search"
  },
  "title" : "Search for places that match specific criteria"
}
-->

# Search for places that match specific criteria

Find places by name or by specific search criteria.

## Discussion

### Example

**Request:**

```
curl -si -H "Authorization: Bearer <maps_access_token>" "https://maps-api.apple.com/v1/search?q=eiffel%20tower"
```

**Response:**

```json
{
  "displayMapRegion": {
    "southLatitude": 48.856909736059606,
    "westLongitude": 2.2924737352877855,
    "northLatitude": 48.85963364504278,
    "eastLongitude": 2.2965897526592016
  },
  "results": [
    {
      "name": "Eiffel Tower",
      "formattedAddressLines": [
        "5 Avenue Anatole France",
        "75007 Paris",
        "France"
      ],
      "structuredAddress": {
        "administrativeArea": "Île-de-France",
        "locality": "Paris",
        "postCode": "75007",
        "subLocality": "Tour Eiffel-Champs de Mars",
        "thoroughfare": "Avenue Anatole France",
        "subThoroughfare": "5",
        "fullThoroughfare": "5 Avenue Anatole France",
        "areasOfInterest": [
          "Eiffel Tower",
          "Parc Du Champ De Mars"
        ],
        "dependentLocalities": [
          "7th arr.",
          "Tour Eiffel-Champs de Mars"
        ]
      },
      "country": "France",
      "countryCode": "FR",
      "coordinate": {
        "latitude": 48.85827172505176,
        "longitude": 2.294531782785587
      }
    }
  ]
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)